Update version to 3.0.9rc1. Add more useful things to .gitignore.
drwxr-xr-x - htdocs
drwxr-xr-x - libffi